### Class

# Ide DebuggerLibrary

#### Description

    class Ide.DebuggerLibrary : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_debugger_library_new

No description available.

#### Instance methods

###### ide_debugger_library_add_range

Adds `range` to the list of ranges for which the library is mapped in the inferior’s address space.

Available since: 3.32

###### ide_debugger_library_compare

No description available.

###### ide_debugger_library_get_host_name

No description available.

###### ide_debugger_library_get_id

No description available.

###### ide_debugger_library_get_ranges

Gets the list of address ranges for the library.

Available since: 3.32

###### ide_debugger_library_get_target_name

No description available.

###### ide_debugger_library_set_host_name

No description available.

###### ide_debugger_library_set_target_name

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DebuggerLibrary:host-name

No description available.

###### Ide.DebuggerLibrary:id

No description available.

###### Ide.DebuggerLibrary:target-name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDebuggerLibraryClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.